#ifndef WEAPON_PICKUP_HPP
#define WEAPON_PICKUP_HPP

#include "godot_cpp/classes/area3d.hpp"
#include "godot_cpp/classes/random_number_generator.hpp"
namespace godot {
class WeaponPickup : public Area3D {
    GDCLASS(WeaponPickup, Area3D);
    static void _bind_methods();
public:
    RandomNumberGenerator rng;
    virtual void _enter_tree() override;
    void body_entered(Node3D *node);
};
}

#endif // !WEAPON_PICKUP_HPP
